Change a mailbox's label, settings, or pause it
curl --request PATCH \
--url https://api.parser-app.com/v1/mailboxes/{mailbox_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"label": "<string>",
"settings": {
"auto_parse": true,
"internal_domains": [
"<string>"
],
"allowed_sender_domains": [
"<string>"
],
"store_raw_email": true,
"default_tags": [
"client:acme"
]
}
}
'import requests
url = "https://api.parser-app.com/v1/mailboxes/{mailbox_id}"
payload = {
"label": "<string>",
"settings": {
"auto_parse": True,
"internal_domains": ["<string>"],
"allowed_sender_domains": ["<string>"],
"store_raw_email": True,
"default_tags": ["client:acme"]
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
settings: {
auto_parse: true,
internal_domains: ['<string>'],
allowed_sender_domains: ['<string>'],
store_raw_email: true,
default_tags: ['client:acme']
}
})
};
fetch('https://api.parser-app.com/v1/mailboxes/{mailbox_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.parser-app.com/v1/mailboxes/{mailbox_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'label' => '<string>',
'settings' => [
'auto_parse' => true,
'internal_domains' => [
'<string>'
],
'allowed_sender_domains' => [
'<string>'
],
'store_raw_email' => true,
'default_tags' => [
'client:acme'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.parser-app.com/v1/mailboxes/{mailbox_id}"
payload := strings.NewReader("{\n \"label\": \"<string>\",\n \"settings\": {\n \"auto_parse\": true,\n \"internal_domains\": [\n \"<string>\"\n ],\n \"allowed_sender_domains\": [\n \"<string>\"\n ],\n \"store_raw_email\": true,\n \"default_tags\": [\n \"client:acme\"\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.parser-app.com/v1/mailboxes/{mailbox_id}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"label\": \"<string>\",\n \"settings\": {\n \"auto_parse\": true,\n \"internal_domains\": [\n \"<string>\"\n ],\n \"allowed_sender_domains\": [\n \"<string>\"\n ],\n \"store_raw_email\": true,\n \"default_tags\": [\n \"client:acme\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.parser-app.com/v1/mailboxes/{mailbox_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"label\": \"<string>\",\n \"settings\": {\n \"auto_parse\": true,\n \"internal_domains\": [\n \"<string>\"\n ],\n \"allowed_sender_domains\": [\n \"<string>\"\n ],\n \"store_raw_email\": true,\n \"default_tags\": [\n \"client:acme\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"kind": "<string>",
"auth": "<string>",
"address": "<string>",
"label": "<string>",
"status": "pending",
"settings": {
"auto_parse": true,
"internal_domains": [
"<string>"
],
"allowed_sender_domains": [
"<string>"
],
"store_raw_email": true,
"default_tags": [
"client:acme"
]
},
"watch_expires_at": "2023-11-07T05:31:56Z",
"last_sync_at": "2023-11-07T05:31:56Z",
"last_error": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Email and mailboxes
Change a mailbox's label, settings, or pause it
PATCH
/
v1
/
mailboxes
/
{mailbox_id}
Change a mailbox's label, settings, or pause it
curl --request PATCH \
--url https://api.parser-app.com/v1/mailboxes/{mailbox_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"label": "<string>",
"settings": {
"auto_parse": true,
"internal_domains": [
"<string>"
],
"allowed_sender_domains": [
"<string>"
],
"store_raw_email": true,
"default_tags": [
"client:acme"
]
}
}
'import requests
url = "https://api.parser-app.com/v1/mailboxes/{mailbox_id}"
payload = {
"label": "<string>",
"settings": {
"auto_parse": True,
"internal_domains": ["<string>"],
"allowed_sender_domains": ["<string>"],
"store_raw_email": True,
"default_tags": ["client:acme"]
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
settings: {
auto_parse: true,
internal_domains: ['<string>'],
allowed_sender_domains: ['<string>'],
store_raw_email: true,
default_tags: ['client:acme']
}
})
};
fetch('https://api.parser-app.com/v1/mailboxes/{mailbox_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.parser-app.com/v1/mailboxes/{mailbox_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'label' => '<string>',
'settings' => [
'auto_parse' => true,
'internal_domains' => [
'<string>'
],
'allowed_sender_domains' => [
'<string>'
],
'store_raw_email' => true,
'default_tags' => [
'client:acme'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.parser-app.com/v1/mailboxes/{mailbox_id}"
payload := strings.NewReader("{\n \"label\": \"<string>\",\n \"settings\": {\n \"auto_parse\": true,\n \"internal_domains\": [\n \"<string>\"\n ],\n \"allowed_sender_domains\": [\n \"<string>\"\n ],\n \"store_raw_email\": true,\n \"default_tags\": [\n \"client:acme\"\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.parser-app.com/v1/mailboxes/{mailbox_id}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"label\": \"<string>\",\n \"settings\": {\n \"auto_parse\": true,\n \"internal_domains\": [\n \"<string>\"\n ],\n \"allowed_sender_domains\": [\n \"<string>\"\n ],\n \"store_raw_email\": true,\n \"default_tags\": [\n \"client:acme\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.parser-app.com/v1/mailboxes/{mailbox_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"label\": \"<string>\",\n \"settings\": {\n \"auto_parse\": true,\n \"internal_domains\": [\n \"<string>\"\n ],\n \"allowed_sender_domains\": [\n \"<string>\"\n ],\n \"store_raw_email\": true,\n \"default_tags\": [\n \"client:acme\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"kind": "<string>",
"auth": "<string>",
"address": "<string>",
"label": "<string>",
"status": "pending",
"settings": {
"auto_parse": true,
"internal_domains": [
"<string>"
],
"allowed_sender_domains": [
"<string>"
],
"store_raw_email": true,
"default_tags": [
"client:acme"
]
},
"watch_expires_at": "2023-11-07T05:31:56Z",
"last_sync_at": "2023-11-07T05:31:56Z",
"last_error": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
APIKeyHeaderHTTPBearer
API key
Path Parameters
Body
application/json
Response
Successful Response
Available options:
pending, active, paused, reauth_required, disconnected Show child attributes
Show child attributes